import auto from '@rollup/plugin-auto-install';
import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';
import { terser } from "@chiogen/rollup-plugin-terser";

export default {
  input: 'src/main.js',
  output: [
    {
      file: 'dist/NeoMaskDateInput.js',
      format: 'esm',       
    },

  ],
  context: "window",
  plugins: [auto(),resolve(),commonjs(),terser()]
};